When will Apache 2.4 be available?

vps

#1

I use a VPS. I need Apache 2.4 so I can enable HTTP/2 and also use PHP 7.

I know Nginx can do HTTP/2 now, but it’s restricted to PHP 5.6. PHP 5.6 just got EOL’d and only security updates are available.

When will these features be available? Any roadmap? Timeline?

Thank you!


#2

The team is working on upgrading Apache on our shared and VPS machines. They are still in the testing phase and I don’t have an expected release timeline to announce yet.

If you don’t want to wait and you’re comfortable doing it yourself, you could launch a server in DreamCompute and install a lamp server pretty easily - https://help.dreamhost.com/hc/en-us/articles/215879467-How-to-Configure-LAMP-on-DreamCompute-running-Debian-or-Ubuntu

I just checked and doing sudo apt-get install lamp-server^ installs Apache 2.4.18 and php 7.0.8.


#3

Cheers @Justin! I don’t have time to play with DreamCompute for now, but I’m happy to hear you’re working on it. I will play with DreamCompute in a couple of months maybe, just to see how it works.

Regarding the timeline, even a rough one, do you think it’s going to be one month? Six? One year?


#4

Right now a rough estimate based on the progress so far looks like it we could have it released in Q2/Q3. It all depends on how the testing goes and if any unforeseen issues pop up.


#5

Sounds good. I’ll keep an eye on it.


#6

Now third quarter is running now …


#7

same here…


#8

Still no update for this feature? It’s been a while.